GtkDatabox: gtk/gtkdatabox_offset_bars.h File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
gtk/gtkdatabox_offset_bars.h File Reference
`#include <gtkdatabox_xyyc_graph.h>`
Include dependency graph for gtkdatabox_offset_bars.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _GtkDataboxOffsetBars
struct | _GtkDataboxOffsetBarsClass
## Defines
#define | GTK_DATABOX_TYPE_OFFSET_BARS (gtk_databox_offset_bars_get_type ())
#define | GTK_DATABOX_OFFSET_BARS(obj)
#define | GTK_DATABOX_OFFSET_BARS_CLASS(klass)
#define | GTK_DATABOX_IS_OFFSET_BARS(obj)
#define | GTK_DATABOX_IS_OFFSET_BARS_CLASS(klass)
#define | GTK_DATABOX_OFFSET_BARS_GET_CLASS(obj)
## Typedefs
typedef struct _GtkDataboxOffsetBars | GtkDataboxOffsetBars
typedef struct _GtkDataboxOffsetBarsClass | GtkDataboxOffsetBarsClass
typedef struct _GtkDataboxOffsetBarsPrivate | GtkDataboxOffsetBarsPrivate
## Functions
GType | gtk_databox_offset_bars_get_type (void)
GtkDataboxGraph * | gtk_databox_offset_bars_new (guint len, gfloat *X, gfloat *Y1, gfloat *Y2, GdkColor *color, guint size)

## Detailed Description

## Define Documentation

#define GTK_DATABOX_IS_OFFSET_BARS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_OFFSET_BARS))

#define GTK_DATABOX_IS_OFFSET_BARS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_OFFSET_BARS))

#define GTK_DATABOX_OFFSET_BARS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_OFFSET_BARS, \
                                               GtkDataboxOffsetBars))

#define GTK_DATABOX_OFFSET_BARS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_OFFSET_BARS, \
                                               GtkDataboxOffsetBarsClass))

#define GTK_DATABOX_OFFSET_BARS_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_OFFSET_BARS, \
                                               GtkDataboxOffsetBarsClass))

#define GTK_DATABOX_TYPE_OFFSET_BARS (gtk_databox_offset_bars_get_type ())

SECTION:gtkdatabox_offset_bars : A GtkDataboxGraph used for displaying xyy-values (x, y1 and y2 values) as vertical bars from y1 to y2. gtkdatabox_offset_bars.h : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxMarkers, GtkDataboxOffsetBars

GtkDataboxOffsetBars is a GtkDataboxGraph class for displaying xy-values as vertical bars which rise/drop from y1 to y2.

## Typedef Documentation

typedef struct _GtkDataboxOffsetBars GtkDataboxOffsetBars

GtkDataboxOffsetBars: : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxMarkers, GtkDataboxBars

GtkDataboxOffsetBars is a GtkDataboxGraph class for displaying xyy-values as vertical bars which rise/drop from y1.

typedef struct _GtkDataboxOffsetBarsClass GtkDataboxOffsetBarsClass

typedef struct _GtkDataboxOffsetBarsPrivate GtkDataboxOffsetBarsPrivate

GtkDataboxOffsetBarsPrivate

A private data structure used by the GtkDataboxOffsetBars. It shields all internal things from developers who are just using the object.

## Function Documentation

GType gtk_databox_offset_bars_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_offset_bars_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y1,
|  | gfloat * | Y2,
|  | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_offset_bars_new: : length of , and : array of horizontal position values of markers : array of starting vertical position values of markers : array of ending vertical position values of markers : color of the markers : marker size or line width (depending on the )

Creates a new GtkDataboxOffsetBars object which can be added to a GtkDatabox widget

Return value: A new GtkDataboxOffsetBars object

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines